mutation CreateActivityLog(
  $title: String!,
  $description: String!,
  $activityType: ActivityType!,
  $userId: String!,
  $isRead: Boolean,
  $iconType: String,
  $iconColor: String
) @auth(level: USER) {
  activityLog_insert(
    data: {
      title: $title
      description: $description
      activityType: $activityType
      userId: $userId
      isRead: $isRead
      iconType: $iconType
      iconColor: $iconColor
    }
  )
}

mutation UpdateActivityLog(
  $id: UUID!,
  $title: String,
  $description: String,
  $activityType: ActivityType,
  $userId: String,
  $isRead: Boolean,
  $iconType: String,
  $iconColor: String
) @auth(level: USER) {
  activityLog_update(
    id: $id,
    data: {
      title: $title
      description: $description
      activityType: $activityType
      userId: $userId
      isRead: $isRead
      iconType: $iconType
      iconColor: $iconColor
    }
  )
}

mutation DeleteActivityLog(
  $id: UUID!
) @auth(level: USER) {
  activityLog_delete(id: $id)
}
